Bug 1002854 - engine-setup fails to install when Gluster only mode is selected
engine-setup fails to install when Gluster only mode is selected
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3
Assigned To: Aravinda VK
gluster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 02:32 EDT by Aravinda VK
Modified: 2013-10-21 09:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 09:28:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18712 None None None Never
oVirt gerrit 18762 None None None Never

  None (edit)
Description Aravinda VK 2013-08-30 02:32:55 EDT
Description of problem:
engine-setup fails to install when "Gluster" is selected as "Application mode"

Version-Release number of selected component (if applicable):


How reproducible:
Every time when application mode is selected as "gluster" in install wizard.

Steps to Reproduce:
1. Run sudo engine-setup
2. When asks for application mode enter "gluster" rest all can be default.


Actual results:
[ INFO  ] Stage: Transaction setup
[ INFO  ] Stopping engine service
[ INFO  ] Stage: Misc configuration
[ INFO  ] Stage: Package installation
[ INFO  ] Stage: Misc configuration
[ INFO  ] Creating PostgreSQL database
[ INFO  ] Configurating PostgreSQL
[ INFO  ] Creating database schema
[ ERROR ] Failed to execute stage 'Misc configuration': 'NFS'
[ INFO  ] Yum Performing yum transaction rollback
[WARNING] Rolling back upgrade
[ INFO  ] Clearing database engine
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20130830113329.log
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of setup failed


Expected results:
Execution of setup should get completed successfully.

Additional info:
From log:

2013-08-30 11:15:21 DEBUG otopi.context context._executeMethod:119 Stage misc METHOD otopi.plugins.ovirt_engine_setup.config.domain_type.Plugin._mis
c
2013-08-30 11:15:21 DEBUG otopi.context context._executeMethod:133 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 123, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-setup/config/domain_type.py", line 115, in _misc
    self.environment[osetupcons.ConfigEnv.STORAGE_TYPE]
KeyError: 'NFS'
2013-08-30 11:15:21 ERROR otopi.context context._executeMethod:142 Failed to execute stage 'Misc configuration': 'NFS'
Comment 1 Aravinda VK 2013-08-30 02:49:59 EDT
Patch sent for review(http://gerrit.ovirt.org/#/c/18712/)
Comment 2 Fedora Admin XMLRPC Client 2013-09-16 08:35:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Sandro Bonazzola 2013-10-21 09:28:04 EDT
Included in 3.3.0.1 release.

Note You need to log in before you can comment on or make changes to this bug.